Bug 151317 - [PATCH] databases/xapian-bindings: syntax error in configure script
Summary: [PATCH] databases/xapian-bindings: syntax error in configure script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Henrik Brix Andersen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-08 17:40 UTC by Jilles Tjoelker
Modified: 2010-10-29 17:34 UTC (History)
0 users

See Also:


Attachments
patch-configure (591 bytes, text/plain)
2010-10-08 17:40 UTC, Jilles Tjoelker
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jilles Tjoelker freebsd_committer 2010-10-08 17:40:02 UTC
There is a syntax error in the configure script.

Upstream has already fixed the problem in their Subversion repository,
see http://trac.xapian.org/ticket/509

Note that different versions of xapian-core and xapian-bindings tend to
be incompatible and cause compiler errors. This is currently
(2010-10-08) the case and causes failures unrelated to the syntax error
in the configure script.

Fix: Either:
Upgrade the port (and databases/xapian-core) to a version where the
problem has been fixed (such a release does not exist yet)
or:
Add the included patch-configure in ports/databases/xapian-bindings/files/
How-To-Repeat: Build/install the port with patched sh.

The patch (to head r212508) is available at
http://www.stack.nl/~jilles/unix/sh-expand-parser-20100919.patch
until I commit it to 9-CURRENT.
Comment 1 Edwin Groothuis freebsd_committer 2010-10-08 17:40:06 UTC
Maintainer of databases/xapian-bindings,

Please note that PR ports/151317 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151317

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-10-08 17:40:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Philip M. Gollucci freebsd_committer 2010-10-12 05:10:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it.
Comment 4 Henrik Brix Andersen freebsd_committer 2010-10-29 17:13:20 UTC
State Changed
From-To: feedback->open

I'll take it. 


Comment 5 Henrik Brix Andersen freebsd_committer 2010-10-29 17:13:20 UTC
Responsible Changed
From-To: pgollucci->brix

I'll take it.
Comment 6 dfilter service freebsd_committer 2010-10-29 17:27:25 UTC
brix        2010-10-29 16:27:22 UTC

  FreeBSD ports repository

  Modified files:
    databases/xapian-bindings Makefile distinfo 
  Added files:
    databases/xapian-bindings/files patch-configure 
  Log:
  - Update to v1.0.22
  - Unbreak
  - Add LICENSE information
  - Fix build issue [1]
  
  PR:             ports/151317 [1]
  Submitted by:   Jilles Tjoelker <jilles@stack.nl>
  Approved by:    Gea-Suan Lin <gslin@gslin.org> (maintainer)
  
  Revision  Changes    Path
  1.10      +3 -5      ports/databases/xapian-bindings/Makefile
  1.7       +3 -3      ports/databases/xapian-bindings/distinfo
  1.1       +11 -0     ports/databases/xapian-bindings/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Henrik Brix Andersen freebsd_committer 2010-10-29 17:33:28 UTC
State Changed
From-To: open->closed

Fixed, thank you for repporting this issue.